Package org.apache.commons.text.translate

## Class CsvTranslators.CsvEscaper

- java.lang.Object
- - org.apache.commons.text.translate.CharSequenceTranslator
  - - org.apache.commons.text.translate.CsvTranslators.CsvEscaper

- Enclosing class:
    CsvTranslators

      public static class CsvTranslators.CsvEscaper
      extends CharSequenceTranslator

  Translator for escaping Comma Separated Values.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CsvEscaper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `translate​(CharSequence input, int index, Writer out)` | Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints.

    - ### Methods inherited from class org.apache.commons.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsvEscaper

          public CsvEscaper()

  - ### Method Detail

    - #### translate

          public int translate​(CharSequence input,
                               int index,
                               Writer out)
                        throws IOException

      Description copied from class: `CharSequenceTranslator`
      Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints. The number of codepoints consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.
      Specified by:
        `translate` in class `CharSequenceTranslator`
      Parameters:
        `input` - CharSequence that is being translated
        `index` - int representing the current point of translation
        `out` - Writer to translate the text to
      Returns:
        int count of codepoints consumed
      Throws:
        `IOException` - if and only if the Writer produces an IOException